---
# Cop supports --autocorrect.
Lint/AmbiguousOperatorPrecedence:
  Exclude:
    - 'app/presenters/project_presenter.rb'
    - 'app/services/cohorts_service.rb'
    - 'app/services/concerns/validates_classification_label.rb'
    - 'app/services/groups/group_links/destroy_service.rb'
    - 'app/services/issuable_links/create_service.rb'
    - 'app/services/issues/relative_position_rebalancing_service.rb'
    - 'app/services/jira/requests/base.rb'
    - 'config/initializers/1_settings.rb'
    - 'config/initializers/carrierwave_s3_encryption_headers_patch.rb'
    - 'config/initializers/kaminari_active_record_relation_methods_with_limit.rb'
    - 'danger/roulette/Dangerfile'
    - 'ee/app/models/geo/upload_registry.rb'
    - 'ee/app/models/iterations/cadence.rb'
    - 'ee/app/models/license.rb'
    - 'ee/app/policies/ee/issuable_policy.rb'
    - 'ee/app/services/boards/epics/position_create_service.rb'
    - 'ee/app/services/geo/registry_consistency_service.rb'
    - 'ee/app/services/vulnerabilities/create_service.rb'
    - 'ee/lib/gitlab/expiring_subscription_message.rb'
    - 'spec/lib/gitlab/conan_token_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_job_spec.rb'
    - 'spec/lib/gitlab/database/batch_count_spec.rb'
    - 'spec/lib/gitlab/database/consistency_checker_spec.rb'
    - 'spec/lib/gitlab/graphql/tracers/metrics_tracer_spec.rb'
    - 'spec/lib/gitlab/issues/rebalancing/state_spec.rb'
    - 'spec/lib/gitlab/kroki_spec.rb'
    - 'spec/lib/gitlab/memory/instrumentation_spec.rb'
    - 'spec/lib/gitlab/memory/watchdog/configurator_spec.rb'
    - 'spec/lib/gitlab/memory/watchdog/monitor/unique_memory_growth_spec.rb'
    - 'spec/lib/gitlab/project_search_results_spec.rb'
    - 'spec/lib/gitlab/prometheus_client_spec.rb'
    - 'spec/lib/gitlab/quick_actions/extractor_spec.rb'
    - 'spec/lib/gitlab/regex_spec.rb'
    - 'spec/lib/gitlab/search/abuse_validators/no_abusive_term_length_validator_spec.rb'
    - 'spec/lib/gitlab/slash_commands/deploy_spec.rb'
